%global git_commit 77e3805d1662034339c3c19bcdaaa62a56c1fa7e
%global git_short_commit %(tmp=%{git_commit}; echo ${tmp:0:7})
%global project_name rabbitmq-c

Name:      librabbitmq
Version:   0.9.0
Release:   4
Summary:   The AMQP client library
License:   MIT
URL:       https://github.com/alanxz/rabbitmq-c

Source0:   https://github.com/alanxz/%{project_name}/archive/%{git_commit}/%{project_name}-%{version}-%{git_short_commit}.tar.gz
Patch6000: CVE-2019-18609.patch

BuildRequires:	cmake > 2.8
BuildRequires:	popt-devel > 1.14
BuildRequires:	openssl-devel xmlto git
Provides:		%{name}-tools
Obsoletes:		%{name}-tools

%description
This is a C-language AMQP client library for use with AMQP servers speaking protocol versions 0-9-1.

%package devel
Summary:	Development files for %{name}
Requires:   %{name} = %{version}-%{release}

%description devel
Libraries and header files of %{name} are all in the %{name}-devel package.

%package	help
Summary:	Help manual for %{name}

%description	help
The %{name}-help package conatins man manual etc

%prep
%autosetup -n %{project_name}-%{git_commit} -p1 -Sgit
sed -e '/test_basic/d' -i tests/CMakeLists.txt

%build
%cmake -DBUILD_TOOLS_DOCS:BOOL=ON -DBUILD_STATIC_LIBS:BOOL=ON
%make_build

%install
%make_install
rm %{buildroot}%{_libdir}/%{name}.a

%check
grep @ %{buildroot}%{_libdir}/pkgconfig/librabbitmq.pc && exit 1
make test

%files
%license LICENSE-MIT AUTHORS
%doc THANKS TODO *.md
%{_libdir}/%{name}.so.4*
%{_bindir}/amqp-*

%files devel
%{_libdir}/%{name}.so
%{_includedir}/amqp*
%{_libdir}/pkgconfig/%{name}.pc

%files help
%doc %{_mandir}/man1/amqp-*.1*
%doc %{_mandir}/man7/librabbitmq-tools.7*


%changelog
* Wed Sep 16 2020 zhanghua <zhanghua40@huawei.com> - 0.9.0-4
- Fix CVE-2019-18609

* Sat Dec 14 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9.0-3
- Package init
